### Function

# Gtk tree_get_row_drag_data

#### Declaration [src]

    gboolean
    gtk_tree_get_row_drag_data (
      const GValue* value,
      GtkTreeModel** tree_model,
      GtkTreePath** path
    )

#### Description [src]

Obtains a `tree_model` and `path` from value of target type `GTK_TYPE_TREE_ROW_DATA`.

The returned path must be freed with gtk_tree_path_free().

#### Parameters

`value` | `const GValue*`
| A `GValue`.
| The data is owned by the caller of the function.
`tree_model` | `GtkTreeModel`
| A `GtkTreeModel`.
| The argument will be set by the function.
| The argument can be set to `NULL`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`path` | `GtkTreePath`
| Row in `tree_model`.
| The argument will be set by the function.
| The argument can be set to `NULL`.
| The argument can be `NULL`.
| The called function takes ownership of the data, and is responsible for freeing it.

#### Return value

Returns: | `gboolean`
| `TRUE` if `selection_data` had target type `GTK_TYPE_TREE_ROW_DATA` is otherwise valid.